Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class GroovyFilter

    java.lang.Object
      javax.swing.text.DocumentFilter
          groovy.ui.text.StructuredSyntaxDocumentFilter
              groovy.ui.text.GroovyFilter

    public class GroovyFilter
    extends StructuredSyntaxDocumentFilter

Authors:
  Evan "Hippy" Slatis

Field Summary
`static String` | `COMMENT`
`static String` | `DIGIT`
`static String` | `IDENT`
`static String` | `LEFT_PARENS`
`static String` | `OPERATION`
`static String` | `QUOTES`
`static String` | `RESERVED_WORD`
`static String[]` | `RESERVED_WORDS`
`static String` | `SINGLE_QUOTES`
`static String` | `SLASHY_QUOTES`
`static String` | `SLASH_SLASH_COMMENT`
`static String` | `SLASH_STAR_COMMENT`

Fields inherited from class StructuredSyntaxDocumentFilter
TAB_REPLACEMENT, lexer, mlTextRunSet, styledDocument

Constructor Summary
`GroovyFilter(DefaultStyledDocument doc)` Creates a new instance of GroovyFilter

Method Summary
`static void` | `installAutoTabAction(JTextComponent tComp)`

Methods inherited from class StructuredSyntaxDocumentFilter
createLexerNode, getRootNode, insertString, parseDocument, remove, replace

Methods inherited from class DocumentFilter
replace, remove, insertString, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### COMMENT

    public static final String COMMENT

### DIGIT

    public static final String DIGIT

### IDENT

    public static final String IDENT

### LEFT_PARENS

    public static final String LEFT_PARENS

### OPERATION

    public static final String OPERATION

### QUOTES

    public static final String QUOTES

### RESERVED_WORD

    public static final String RESERVED_WORD

### RESERVED_WORDS

    public static final String[] RESERVED_WORDS

### SINGLE_QUOTES

    public static final String SINGLE_QUOTES

### SLASHY_QUOTES

    public static final String SLASHY_QUOTES

### SLASH_SLASH_COMMENT

    public static final String SLASH_SLASH_COMMENT

### SLASH_STAR_COMMENT

    public static final String SLASH_STAR_COMMENT

Constructor Detail

### GroovyFilter

    public GroovyFilter(DefaultStyledDocument doc)

  Creates a new instance of GroovyFilter

Method Detail

### installAutoTabAction

    public static void installAutoTabAction(JTextComponent tComp)

Copyright © 2003-2010 The Codehaus. All rights reserved.